import { type AnyApiDefinitionFormat } from '@scalar/openapi-parser';
import type { Filesystem } from './types';
/**
 * Create a filesystem from an OpenAPI document.
 * Fetches all the URLs specified in references and builds a filesystem.
 */
export declare function createFileSystem(input: {
    /**
     * The OpenAPI document to create the filesystem from.
     */
    value: AnyApiDefinitionFormat;
    /**
     * The root URL of the specified OpenAPI document.
     * Used to resolve relative URLs.
     */
    rootURL: string | null;
}): Promise<Filesystem>;
