import type { AnyApiDefinitionFormat } from '@scalar/openapi-parser';
import type { Filesystem, OpenAPIV3xDocument } from './types';
/**
 * Convert a Swagger 2.0 schema to an OpenAPI 3.0 schema.
 */
export declare function convertOpenAPIV2ToOpenAPIV3(input: {
    /**
     * The API definition to parse.
     */
    value: AnyApiDefinitionFormat;
    /**
     * The root URL of the specified OpenAPI document.
     */
    rootURL: string | null;
}): Promise<Filesystem<OpenAPIV3xDocument>>;
